Last Comment Bug 802365 - Sync NSS and NSPR versions in configure.in between comm-central and mozilla-central
: Sync NSS and NSPR versions in configure.in between comm-central and mozilla-c...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
Mentors:
Depends on: 620788 795972 795987
Blocks: 803854
  Show dependency treegraph
 
Reported: 2012-10-16 14:41 PDT by Ian Neal
Modified: 2012-10-28 16:12 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Increase the version numbers and don't silently fall back [Checked in: Comment 3] (1.59 KB, patch)
2012-10-20 10:56 PDT, Ian Neal
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Ian Neal 2012-10-16 14:41:35 PDT
A few weeks back mozilla-central upgraded both NSS (from 3.13.2) and NSPR (from 4.9.2):
Bug 795972: Upgrade NSS to NSS_3_14_BETA1
Bug 795987: Upgrade NSPR to NSPR_4_9_3_BETA1

Our configure.in is showing NSS as 3.12.6 and NSPR as 4.8.0 and should probably be changed to match mozilla-central's versions.
Comment 1 Ian Neal 2012-10-20 10:56:08 PDT
Created attachment 673600 [details] [diff] [review]
Increase the version numbers and don't silently fall back [Checked in: Comment 3]

This also ports:
Bug 620788 - Do not silently fall back to bundled NSS/NSPR if system ones can't be used
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2012-10-27 22:23:06 PDT
Comment on attachment 673600 [details] [diff] [review]
Increase the version numbers and don't silently fall back [Checked in: Comment 3]

Review of attachment 673600 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +3873,5 @@
>  [  --with-system-nspr      Use system installed NSPR],
>      _USE_SYSTEM_NSPR=1 )
>  
>  if test -n "$_USE_SYSTEM_NSPR"; then
> +    AM_PATH_NSPR(4.9.3, [MOZ_NATIVE_NSPR=1], [AC_MSG_ERROR([your don't have NSPR installed or your version is too old])])

nit, I know this typo matches m-c but "you don't have"
Comment 3 Ian Neal 2012-10-28 16:11:35 PDT
Comment on attachment 673600 [details] [diff] [review]
Increase the version numbers and don't silently fall back [Checked in: Comment 3]

http://hg.mozilla.org/comm-central/rev/63448f938246

Note You need to log in before you can comment on or make changes to this bug.